package data;

public enum CalculateFor {
	WORD("različnica"),
	LEMMA("lema"),
	MORPHOSYNTACTIC_SPECS("oblikoskladenjska oznaka"),
	MORPHOSYNTACTIC_PROPERTY("oblikoskladenjska lastnost"),
	WORD_TYPE("besedna vrsta"),
	DIST_WORDS("različnica"),
	DIST_LEMMAS("lema");


	private final String name;

	CalculateFor(String name) {
		this.name = name;
	}

	public String toString() {
		return this.name;
	}

	public static CalculateFor factory(String cf) {
		if (cf != null) {
			if (WORD.toString().equals(cf)) {
				return WORD;
			}
			if (LEMMA.toString().equals(cf)) {
				return LEMMA;
			}
			if (MORPHOSYNTACTIC_SPECS.toString().equals(cf)) {
				return MORPHOSYNTACTIC_SPECS;
			}
			if (MORPHOSYNTACTIC_PROPERTY.toString().equals(cf)) {
				return MORPHOSYNTACTIC_PROPERTY;
			}
			if (WORD_TYPE.toString().equals(cf)) {
				return WORD_TYPE;
			}
		}
		return null;
	}
}
