package data;

public enum CorpusType {
	GIGAFIDA("Gigafida", "gigafida"),
	CCKRES("ccKres ", "cckres"),
	SOLAR("Šolar", "šolar"),
	GOS("GOS", "gos");


	private final String name;
	private final String nameLowerCase;

	CorpusType(String name, String nameLowerCase) {
		this.name = name;
		this.nameLowerCase = nameLowerCase;
	}

	public String toString() {
		return this.name;
	}

	public String getNameLowerCase() {
		return nameLowerCase;
	}
}
