package data;

import java.util.List;
import java.util.Map;

public class Sentence {


	private List<Word> words;
	private String taksonomija;

	// GOS
	private String type;
	private Map<String, String> properties;

	public Sentence(List<Word> words, String taksonomija) {
		this.words = words;
		this.taksonomija = taksonomija;
	}

	public Sentence(List<Word> words) {
		this.words = words;
	}

	public Sentence(List<Word> words, String taksonomija, Map<String, String> properties) {
		this.words = words;
		this.taksonomija = taksonomija;
		this.properties = properties;
	}

	public Sentence(List<Word> words, String taksonomija, String type) {
		this.words = words;
		this.taksonomija = taksonomija;
		this.type = type;
	}

	public List<Word> getWords() {
		return words;
	}

	public String getTaxonomy() {
		return taksonomija;
	}

	public List<Word> getSublist(int indexFrom, int indexTo) {
		return this.words.subList(indexFrom, indexTo);
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
